curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/{outcome_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"status": "pending",
"expected_status": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"metadata": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Transition brand outcome
Outcome after the status transition.
PATCH
/
v1
/
brands
/
{brand_id}
/
outcomes
/
{outcome_id}
curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/{outcome_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"status": "pending",
"expected_status": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"metadata": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
string (uuid)
required
string (string)
required
Request body
object
string
required
string
string
object
Response
object
string (uuid)
required
string (uuid)
required
string (uuid)
string
string
string
required
string
required
string
required
string
string
integer
integer
required
string
boolean
required
object
required
string (date-time)
required
string (date-time)
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Outcome after the status transition. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/{outcome_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"status": "pending",
"expected_status": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"metadata": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026